ubiquity does not honor apt proxy settings while downloading language packs

Bug #462379 reported by Steve Beattie on 2009-10-28
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: ubiquity

When ubiquity downloads additional english language packages in an en_US install (as reported in bug 462367), it does not honor the apt proxy configuration as setup during the installer. It correctly downloads the Packages files from the proxy, but not the individual packages themselves.

Here is netstat output while ubiquity is configuring apt:

$ sudo netstat -antp
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address Foreign Address State PID/Program name
tcp 0 0 127.0.0.1:631 0.0.0.0:* LISTEN 2231/cupsd
tcp 0 0 10.0.2.15:60353 192.168.1.210:3142 ESTABLISHED 8000/http
tcp6 0 0 ::1:631 :::* LISTEN 2231/cupsd

and here is netstat output while downloading one of the packages:

$ sudo netstat -antp
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address Foreign Address State PID/Program name
tcp 0 0 127.0.0.1:631 0.0.0.0:* LISTEN 2231/cupsd
tcp 1448 0 10.0.2.15:32799 91.189.88.40:80 ESTABLISHED 8888/http
tcp6 0 0 ::1:631 :::* LISTEN 2231/cupsd

(host 91.189.88.40 being one of hosts in archive.ubuntu.com)

$ ps auwwx | grep 8888
root 8888 1.5 0.4 27572 2204 ? S 21:02 0:01 /usr/lib/apt/methods/http

$ pstree -p -l 2921
gksudo(2921)───devkit-disks(2923)───ubiquity(2925)─┬─debconf-communi(7553)
                                                   ├─log-output(7555)───install.py(7556)───http(8888)
                                                   └─{ubiquity}(6529)

ProblemType: Bug
Architecture: amd64
Date: Tue Oct 27 21:07:50 2009
DistroRelease: Ubuntu 9.10
LiveMediaBuild: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
Package: ubiquity 2.0.6
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: ubiquity
Uname: Linux 2.6.31-14-generic x86_64
XsessionErrors:
 (gnome-settings-daemon:2751): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:2751): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:2807): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:2830): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (gnome-panel:2806): Gdk-CRITICAL **: gdk_x11_colormap_foreign_new: assertion `GDK_IS_VISUAL (visual)' failed

Steve Beattie (sbeattie) wrote :
tags: added: iso-testing
Steve Beattie (sbeattie) wrote :

Verified that this is still happening with lucid's isos.

tags: added: karmic lucid
Evan (ev) wrote :

Steve,

On the final system, do you have an /etc/apt/apt.conf file with Acquire::http::Proxy set in it? If so, I suspect this is an apt bug.

Changed in ubiquity (Ubuntu):
status: New → Incomplete

On Wed, Apr 28, 2010 at 06:13:52PM -0000, Evan Dandrea wrote:
> On the final system, do you have an /etc/apt/apt.conf file with
> Acquire::http::Proxy set in it? If so, I suspect this is an apt bug.

Yes, I do. What's even more annoying is that when the installer is doing
the equivalent of apt-get update immediately *before* downloading the
langpacks, it properly uses the proxy.

(Also, nobody has yet to explain why it is that, despite asking for an
en_US install, the installer feels the need to download packages to add
en_GB and en_ZA support for openoffice.)

--
Steve Beattie
<email address hidden>
http://NxNW.org/~steve/

[Expired for ubiquity (Ubuntu) because there has been no activity for 60 days.]

Changed in ubiquity (Ubuntu):
status: Incomplete → Expired
Jean-Baptiste Lallement (jibel) wrote :

Reopening as it still applies to 10.04.3 LTS. Steve provided enough informations and the behaviour is the same with latest Lucid images.

Changed in ubiquity (Ubuntu):
importance: Undecided → Medium
status: Expired → Confirmed
summary: - ubiquity does not honor apt proxy settings while downloading (english)
- language packs
+ ubiquity does not honor apt proxy settings while downloading language
+ packs
tags: added: ubiquity-2.0.6
hosamelden (hnoseer) on 2013-03-14
Changed in ubiquity (Ubuntu):
status: Confirmed → Fix Released
Ryan Tandy (rtandy) wrote :

Hi,

I don't know why this was closed. It was never fixed and still exists in the trusty ISOs.

While downloading package lists:

Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address Foreign Address State PID/Program name
tcp 0 0 10.0.254.77:48653 10.0.2.9:3142 ESTABLISHED 8324/http
tcp 0 0 10.0.254.77:923 10.0.2.1:2049 ESTABLISHED -
tcp 0 0 10.0.254.77:53577 91.189.92.61:80 ESTABLISHED 2295/python3

(10.0.2.9:3142 is the apt proxy, 10.0.2.1 is the NFS server, 91.189.92.61 is geoname-lookup.ubuntu.com)

While downloading language packs:

Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address Foreign Address State PID/Program name
tcp 0 0 10.0.254.77:923 10.0.2.1:2049 ESTABLISHED -
tcp 0 0 10.0.254.77:48655 10.0.2.9:3142 TIME_WAIT -
tcp 0 0 10.0.254.77:48654 10.0.2.9:3142 TIME_WAIT -
tcp 0 0 10.0.254.77:53577 91.189.92.61:80 ESTABLISHED 2295/python3
tcp 0 0 10.0.254.77:33316 91.189.91.15:80 ESTABLISHED 9445/http

(the connections to the proxy have been closed, 91.189.91.15 is a member of the ca.archive.ubuntu.com rotation)

/etc/apt/apt.conf is configured properly on the target system and works after installation.

Please re-open.

Changed in ubiquity (Ubuntu):
status: Fix Released → Confirmed
Ryan Tandy (rtandy) wrote :

Forgot to mention that the proxy was preseeded:

ubiquity mirror/http/proxy string http://10.0.2.9:3142/

In IRC, xnox suggested configuring a global proxy in network-manager, and that does work for the language packs:

Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address Foreign Address State PID/Program name
tcp 0 0 10.0.254.133:58356 10.0.2.9:3142 TIME_WAIT -
tcp 0 0 10.0.254.133:893 10.0.2.1:2049 ESTABLISHED -
tcp 0 0 10.0.254.133:58357 10.0.2.9:3142 ESTABLISHED 10345/http
tcp 0 0 10.0.254.133:57483 91.189.92.60:80 ESTABLISHED 3667/python3

(In my case 10.0.2.9:3142 is not a general http proxy but only an apt-cacher-ng, so that does break e.g. Firefox in the live session, but it does work for installing.)

The http process is a child of plugininstall.py and runs in the host, not the target:

init───lightdm───lightdm───init───sh───udisks2-inhibit───ubiquity───log-output───plugininstall.p───http

His other suggestion was to disable downloading the language packs at install time. Preseeding "ubiquity pkgsel/install-language-support boolean false" does that, so that's a good workaround. (Not quite ideal, though, because /var/lib/update-notifier/user.d/incomplete-language-support-*.note aren't created; is that a bug?)

plugininstall.py already seems to respect some other apt settings, maybe it wouldn't be hard to teach it about mirror/http/proxy as well? If I find time I'll see about a patch. Low importance, anyway.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers